Package org.springframework.aot.nativex

# Class NativeConfigurationWriter

java.lang.Object
org.springframework.aot.nativex.NativeConfigurationWriter

Direct Known Subclasses:
  `FileNativeConfigurationWriter`

public abstract class NativeConfigurationWriter extends Object
Write `RuntimeHints` as GraalVM native configuration.

Since:
  6.0
Author:
  Sebastien Deleuze, Stephane Nicoll, Janne Valkealahti
See Also:
  - Native Image Build Configuration

## Constructor Summary

Constructors
Constructor
Description
`NativeConfigurationWriter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`write(RuntimeHints hints)`
Write the GraalVM native configuration from the provided hints.
`protected abstract void`
`writeTo(String fileName, Consumer<org.springframework.aot.nativex.BasicJsonWriter> writer)`
Write the specified GraalVM native configuration file, using the provided `BasicJsonWriter`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NativeConfigurationWriter

public NativeConfigurationWriter()

## Method Details

### write

public void write(RuntimeHints hints)
Write the GraalVM native configuration from the provided hints.

Parameters:
  `hints` - the hints to handle

### writeTo

protected abstract void writeTo(String fileName, Consumer<org.springframework.aot.nativex.BasicJsonWriter> writer)
Write the specified GraalVM native configuration file, using the provided `BasicJsonWriter`.

Parameters:
  `fileName` - the name of the file
  `writer` - a consumer for the writer to use